You are not logged in.

Dear visitor, welcome to krpano.com Forum. If this is your first visit here, please read the Help. It explains in detail how this page works. To use all features of this page, you should consider registering. Please use the registration form, to register here or read more information about the registration process. If you are already registered, please login here.

Stefan.L

Trainee

Posts: 102

Location: Sweden

Occupation: Photography/ webdesign

  • Send private message

81

Wednesday, January 22nd 2014, 11:17pm

(solved) Guide Needed - Encrypt

Hi!

I need a guide in how to encrypt tours with the newly added droplet encrypt. I have very successfully used the tools (original added to original files which easily could be excluded in Transmit and be tracked and kept in the same folder as original Virtual tour) before but now with a rendered tour with the latest version of everything (krpano 1.17 Pre Release 2) i get encryption error when for instance encrypting main.xml and running html5.

I simply don't know what/ how to do to achieve the same as before or what is needed according to this or this.

Would have been great if i did but I need help.

Thanks for a fantastic soft *smile*

//Stefan
Best regards - Stefan

This post has been edited 1 times, last edit by "Stefan.L" (Jan 28th 2014, 9:22am)


82

Thursday, January 23rd 2014, 8:53am

Hi,

regarding guide - basically just making the tour and then dropping the xml files that should be encrypted on the ENCRYPT XML droplet...

When there is an encryption error then the error shouldn't be related to that process/guide itself.
To find out what is wrong, please post your example in a separate thread.

Best regards,
Klaus

Stefan.L

Trainee

Posts: 102

Location: Sweden

Occupation: Photography/ webdesign

  • Send private message

83

Thursday, January 23rd 2014, 10:16am

Hi,

Thanks for your reply - i little question before link...

Can 1.17 be encrypted with 1.17 Pre Release 2 ?
In the tour.js it says version 1.17 only.

Regards,
Best regards - Stefan

84

Thursday, January 23rd 2014, 11:30am

Can 1.17 be encrypted with 1.17 Pre Release 2 ?
In the tour.js it says version 1.17 only.
Note - the compression of the encrypted xml files is new in Pre Release 2!
That means older versions will be not able to decrypt files that were encrypted with the new version.

Just use the viewer from the same version and it will work.

Best regards,
Klaus

85

Saturday, January 25th 2014, 9:31am

I need the ability to create an .swf file with all of the images, xml etc. embedded into it, like the 'krprotect' tool offered. Is this still possible with this new version? I can't seem to figure out how to do it.

Thanks.

Stefan.L

Trainee

Posts: 102

Location: Sweden

Occupation: Photography/ webdesign

  • Send private message

86

Tuesday, January 28th 2014, 9:21am

Regarding my issue with the encrypt.

Funny with the issue and the trouble I had - i went all the way to again downloading the osx version and made a new install - and suddenly it worked....
Odd I have to say - I Must have done something strange while updating.... No clue what however.


Now all works perfekt - as expected of course;)
Best regards - Stefan

87

Wednesday, January 29th 2014, 10:03am

Hi,

I Must have done something strange while updating
Probably the older 1.17.pr1 viewer was used. The xml compression is new in 1.17.pr2, so only the newer viewer is able to load compressed xml files.


I need the ability to create an .swf file with all of the images, xml etc. embedded into it, like the 'krprotect' tool offered. Is this still possible with this new version?
At the moment this is only possible from command line, but in the next release (1.17.pr3) there will be again a GUI for this.

Best regards,
Klaus

Stefan.L

Trainee

Posts: 102

Location: Sweden

Occupation: Photography/ webdesign

  • Send private message

88

Wednesday, January 29th 2014, 10:18am

Ok Great!
Best regards - Stefan

Umalo

Professional

Posts: 1,047

Location: Osijek, Croatia, EU

  • Send private message

89

Sunday, February 2nd 2014, 4:32pm

How come that hotspot pixelhittest become Flash only. This is huge step back as is was used a lot to "fake" poligonal hotspots on HTML5.
With all benefits new versions are bringing this change forced us to use old versions where pixelhittest was working on HTML5.
Is it going to be supported back again? If not, do you have proposal on how to define distorted areas for capturing mouse events for specific areas:

Example 1
Example 2

90

Sunday, February 2nd 2014, 6:33pm

Hi,

please note - the pixelhittest setting was always a Flash-only feature and never be supported in HTML5!

That feature itself is already a quite complicated and heavy operation in Flash - it works by internally creating a 1x1 pixel bitmap at the mouse position, then drawing the whole plugin into it and then checking the alpha transparency value of that resulting pixel. That's all together is already a pretty heavy task and the performance of it is only okay because its only a small 1x1 bitmap and because it happens only once per frame.

In HTML5 there don't exists such possibilities, there it's not possible to draw html elements into bitmap buffers and also not to check the transparency of a html element at given the pixel position.

That means at the moment I don't see a way or possibility to implement such in HTML5.

Best regards,
Klaus

Alexey Tkachenko

Professional

Posts: 741

Location: Sevastopol, Crimea, Russian Federation

Occupation: Interpreting, Building virtual tours

  • Send private message

91

Monday, February 3rd 2014, 8:34am

If I got it right "pixelhittest" for hotspots works fine in html5, the above concerns "pixelhittest" for plugins, right?
Regards,

Alexey

Umalo

Professional

Posts: 1,047

Location: Osijek, Croatia, EU

  • Send private message

92

Monday, February 3rd 2014, 9:57am

No, I was talking about hotspot pixelhittest. It is not working on HTML5. If you have transparent area in image this area is also capturing mouse events.

93

Monday, February 3rd 2014, 3:29pm

Hi,

it doesn't matter if plugin/layer or hotspot - that's internally all the same here.

That means - sorry, but there was never a pixelhittest in HTML5...

Best regards,
Klaus

jordi

Intermediate

Posts: 428

Location: Barcelona

Occupation: creating ideas & coding them

  • Send private message

94

Tuesday, February 4th 2014, 7:04pm

Source code

1
2
<layer name="logo"   keep="true" url="%HTMLPATH%/graphics/logo.png" handcursor="false" align="topleft" x="010" y="010" zorder="1" scale="0.5" alpha="0" 
	onloaded="set(alpha,0);tween(alpha,1.0, 4.0);" />


In this version, the layers type image if I set alpha 0, and then the onloaded event,I ve found that is not working for flash.

Sorry, it's my fault for sure, I've been developing a project in base of HTML5 and I'm having quite trouble in making it work with flash... A little mess from my part I supose

NOTE : the main problem was that some container layers, didn't have with or height, that seems to be allowed by the HTML5 version, but flash seems to be more strict in that case.
Also some plugins need to be registered, so when you develop with the testing server, you don't realize that facts ...

Cocnclusion : I hope old browser just disapear and we can code everything based on the HTML5 player.
everpano.com smart virtual tours

This post has been edited 1 times, last edit by "jordi" (Feb 5th 2014, 4:10pm)


95

Wednesday, February 19th 2014, 11:32pm

but with iPhone/ipad

I believe there is an issue when using this on an iPad/iphone. I can zoom in fine, mostly, but when i zoom out and then zoom in again, the tiles go wrong and random stuff seems to be displayed instead of the closer in view I was expecting.

If you try this using an iPad you will see:

http://gallery.parismetrotrash.com/McParis/mcparismaxi/

Just zoom in and out, pan left right etc and you should see the issue I have described.

Other than this, all seems to work well. Brilliant job:)

96

Thursday, February 20th 2014, 11:00am

but when i zoom out and then zoom in again, the tiles go wrong and random stuff seems to be displayed
Hi,

thanks for the example!

The problem here is a rounding error of the CSS transforms values. It will be fixed in the next release.

Best regards,
Klaus

97

Thursday, February 20th 2014, 8:01pm

Hi Klaus, you are welcome. Happy to test any fix you have.

Thanks,
Darren

yasarcan

Trainee

Posts: 44

Location: Türkiye

Occupation: Computer Teacher

  • Send private message

98

Thursday, August 28th 2014, 3:17pm

hello,
I have 1.16.6 version
Can I upgrade 1.17.5 ?
(I copy my krpano.license and krpanotools.license but not work)

99

Thursday, August 28th 2014, 4:23pm

hello,
I have 1.16.6 version
Can I upgrade 1.17.5 ?
(I copy my krpano.license and krpanotools.license but not work)

Updates / Upgrades

With krpano version 1.17 the license system has been changed. The previously separately available Flash and HTML5 licenses have been merged into one single license. Additionally the license format also has been changed - instead of binary license files, which needed to be copied into the correct folder, now more common 'text' license keys, which need to be registered in the application, will be used. Due these changes, older licenses need to be updated or upgraded.
Update / Upgrade costs?

The updates itself are free - except for the case when you don't have both old licenses (the 'krpano License' and the 'krpano HTML5 Add-On License'). In this case, when having only the 'krpano License' alone, it would be necessary to upgrade the license to be able to use the new versions (1.17 and up). The upgrade price for this case is 45 € plus sales tax/VAT.

http://www.krpano.com/buy/upgrade/

Similar threads